Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Je kunt ook een cookievrije versie van de website bezoeken met minder functionaliteit. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , reacties: 3, views: 3.527 •
Bron: WordPress

WordPress logo (75 pix)Versie 3.3.1 van WordPress is uitgekomen. Met dit programma, dat onder de gpl-licentie beschikbaar wordt gesteld, is het mogelijk om een weblog op te zetten en bij te houden. WordPress is eenvoudig op te zetten en zou binnen vijf minuten kunnen draaien als er al een server met php en MySQL beschikbaar is. Er zijn mogelijkheden om de  functionaliteit van WordPress, naast bloggen, verder uit te breiden en het uiterlijk met plug-ins en themes aan te passen.

Nieuw in versie 3.3 is onder andere de mogelijkheid eenvoudig media toe te voegen middels drag'n'drop, klappen de menu's nu open wanneer de muis er over glijdt en worden bij elke update tekstballonnen getoond die nieuwe mogelijkheden introduceren. In deze eerste update zijn zo'n vijftien bug- en securityfixes doorgevoerd.

WordPress 3.3.1 Security and Maintenance Release
This maintenance release fixes 15 issues with WordPress 3.3, as well as a fix for a cross-site scripting vulnerability that affected version 3.3. Thanks to Joshua H., Hoang T., Stefan Zimmerman, Chris K., and the Go Daddy security team for responsibly disclosing the bug to our security team.

WordPress 3.3 Dashboard (481 pix)

Reacties (3)

Zeer eenvoudig systeem voor blog/cms beheer. Al mijn websites weer bijgewerkt met n druk op de knop.

Wel een belangrijke tip. Maak een backup van je website alvorens je gaat upgraden. Er zijn diverse command line opties, hosting provider oplossingen of plugins voor beschikbaar.
Deze had ik al aan zien komen! Cross-site vulnerability is natuurlijk wel een reden om de upgrade door te voeren.
De issues waar over gesproken word;
  • wp_print_styles() causing mid-page scripts/styles to bleed into admin
  • Multi-site Upload Limit Stuck at 50MB
  • Wrong widget count on dashboard
  • Multisite: No Database Prefix causes strpos(): Empty delimiter
  • Never show two flyouts at once
  • $userdata not populated properly
  • Toolbar shows a warning on a second call
  • Unwanted backslash in output
  • Users list 'Change role to' allows for changing logged-in Admin role to Subscriber
  • current-menu-item and current_page_item classes incorrectly added to custom menu items with no URL value.
  • Remove .button styling from _default_wp_die_handler()
  • Press This #message is ugly (3.2 to 3.3 regression)
  • Quick Edit/Reply missing tabindex causes <tab> to miss Update Comment/Reply button
  • Script Loader dies in 3.3 on no-JSON PHP
14 stuks overigens, denk dat ze ''cross-site scripting vulnerability'' als nummero 15 hebben geteld.

[Reactie gewijzigd door Perkouw op 5 januari 2012 20:25]

Op dit item kan niet meer gereageerd worden.



Populair: Tablets Nokia Samsung Smartphones Google Apple Sony Games Consoles Politiek en recht

© 1998 - 2014 Tweakers.net B.V. onderdeel van De Persgroep, ook uitgever van Computable.nl, Autotrack.nl en Carsom.nl Hosting door True

Beste nieuwssite en prijsvergelijker van het jaar 2013